Class | SOAP::Header::Handler
In: | soap/header/handler.rb
Parent: | Object

### Methods

new on_inbound on_inbound_headeritem on_outbound on_outbound_headeritem

### Attributes

elename | [R] |
encodingstyle | [R] |
mustunderstand | [R] |

### Public Class methods

new(elename)

[Source]

    # File soap/header/handler.rb, line 21
      def initialize(elename)
        @elename = elename
        @mustunderstand = false
        @encodingstyle = nil
      end

### Public Instance methods

on_inbound(header, mustunderstand = false)

Given header is a SOAPHeaderItem or nil.

[Source]

    # File soap/header/handler.rb, line 33
      def on_inbound(header, mustunderstand = false)
        # do something.
      end

on_inbound_headeritem(header)

[Source]

    # File soap/header/handler.rb, line 50
      def on_inbound_headeritem(header)
        on_inbound(header.element, header.mustunderstand)
      end

on_outbound()

Should return a SOAP/OM, a SOAPHeaderItem or nil.

[Source]

    # File soap/header/handler.rb, line 28
      def on_outbound
        nil
      end

on_outbound_headeritem()

[Source]

    # File soap/header/handler.rb, line 37
      def on_outbound_headeritem
        item = on_outbound
        if item.nil?
          nil
        elsif item.is_a?(::SOAP::SOAPHeaderItem)
          item.elename = @elename
          item
        else
          item.elename = @elename
          ::SOAP::SOAPHeaderItem.new(item, @mustunderstand, @encodingstyle)
        end
      end

[Validate]